@ECHO OFF
REM 
REM
REM   build.bat
REM
REM   Copyright (C) 2020 by Matt Roberts.
REM   License: GNU GPL3 (www.gnu.org)
REM
REM   NOTE: To build with Visual Studio:
REM         1. Start a "Visual Studio Command Prompt"
REM         2. Run 'build' (this file) in the new window.
REM
REM

if "%~1" == ""      goto build
if "%~1" == "all"   goto build
if "%~1" == "clean" goto clean
goto done

:clean
del /Q tweaktime.obj tweaktime.exe ctweaktime.obj ctweaktime.exe
goto done

:build
cl /EHsc /O2 tweaktime.cc
cl /EHsc /O2 ctweaktime.cc

:done

REM EOF: build.bat
